3.4.1 JRE problem

Discuss setup / installation issues - Add a spell checker, Language pack?

3.4.1 JRE problem

Postby hnmcc » Wed Sep 05, 2012 5:46 pm

I've just installed AOO 3.4.1 on top of 3.3 on XP sp3. I've used OOo for years, since it was StarOffice v1.

The installation seems to be fine, and everything is working as it should - until I try to open an XML file.

When I double-click on the file with AOO running, a new window opens and the progress bar goes about halfway across the screen before I am shown an error message titled "Select JRE":
The OpenOffice configuration has been changed. Under Tools - Options - OpenOffice.org - Java, select the runtime environment you want to have used by OpenOffice.org.


When I click "OK", another error appears:
General Error.
General input/output error.


Clicking "OK" on that closes the window.

If I look at my Java installations in AOO, I see that I have three versions installed: 1.6.0_35, 1.6.0_22, and 1.6.0_07. Java.com agrees that I have v6 update 35.

Choosing one of the other JREs makes no difference: the error messages are the same. Disabling the JRE in AOO also makes no difference.

How can I fix this? The XML files are important, and currently I am taking them to another machine to run them through Excel, which doesn't seem right!
AOO 3.4.1 on Ms Windows XP Pro SP3
hnmcc
 
Posts: 13
Joined: Tue Aug 12, 2008 4:36 pm

Re: 3.4.1 JRE problem

Postby Villeroy » Wed Sep 05, 2012 7:38 pm

Unless you are sure that you really need some feature that depends on Java, turn off all Java for OpenOffice.
AOO for Windows is a 32 bit application. Java components to be integrated in this office suite need a 32 bit runtime.
Please, edit this topic's initial post and add "[Solved]" to the subject line if your problem has been solved.
Ubuntu 12.04, Apache OpenOffice 4.x
User avatar
Villeroy
Volunteer
 
Posts: 17279
Joined: Mon Oct 08, 2007 1:35 am
Location: Germany

Re: 3.4.1 JRE problem

Postby hnmcc » Tue Sep 18, 2012 2:33 pm

Thanks for that advice, which is probably sound. Unfortunately it brings me no closer to being able to open these files in OpenOffice - as for several years I was able to do.
AOO 3.4.1 on Ms Windows XP Pro SP3
hnmcc
 
Posts: 13
Joined: Tue Aug 12, 2008 4:36 pm

Re: 3.4.1 JRE problem

Postby Villeroy » Tue Sep 18, 2012 4:08 pm

Sorry, I forgot that parsing XML files depend on Java. So if you can not use a recent 32-bit JRE of Java6 on your Windows system then you may suffer from this problem: viewtopic.php?f=13&t=56014 which can be solved by installing this: https://www.microsoft.com/en-us/downloa ... px?id=5555
Please, edit this topic's initial post and add "[Solved]" to the subject line if your problem has been solved.
Ubuntu 12.04, Apache OpenOffice 4.x
User avatar
Villeroy
Volunteer
 
Posts: 17279
Joined: Mon Oct 08, 2007 1:35 am
Location: Germany

Re: 3.4.1 JRE problem

Postby Bill » Tue Sep 18, 2012 9:46 pm

The solution in viewtopic.php?f=13&t=56014 is specific for JRE 7.

Try resetting the user profile. For security, It would probably be a good idea to also remove all of the old Java versions and install only the latest version.

[Solved] Upgraded to AOO 3.4 - Java JRE not found any more
Bill
 
Posts: 3312
Joined: Sat Nov 24, 2007 6:48 am


Return to Install, Setup and Troubleshooting

Who is online

Users browsing this forum: No registered users and 7 guests